# System Tables

The MariaDB Server includes several system tables that store metadata about database objects, user privileges, and server status.

{% columns %}
{% column %}
{% content-ref url="/pages/qZBOWMlxgNwgkUXbJc7q" %}
[Information Schema](/docs/server/reference/system-tables/information-schema.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
The `information_schema` is a standard-compliant database that provides information about all other databases, tables, and columns on the server.
{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
{% content-ref url="/pages/3UyhPgBEDXXcVevHOl8R" %}
[Performance Schema](/docs/server/reference/system-tables/performance-schema.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
The `performance_schema` allows you to monitor server execution at a low level with minimal impact on performance.
{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
{% content-ref url="/pages/hODAN9ZLCdFg21H6CS9d" %}
[Sys Schema](/docs/server/reference/system-tables/sys-schema.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
The `sys` schema contains a collection of views, procedures, and functions that simplify the interpretation of data from the `performance_schema`.
{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
{% content-ref url="/pages/f0JMvrafSTNYbVPaJK2z" %}
[The mysql Database Tables](/docs/server/reference/system-tables/the-mysql-database-tables.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
Contains the core system tables in the `mysql` database, including privilege tables, logging tables, and status variables.
{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
{% content-ref url="/pages/KDJaEOMqwidgyDABQ6La" %}
[Broken mention](broken://pages/KDJaEOMqwidgyDABQ6La)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
The `mariadb_schema` table stores information regarding the database schema versions and migration history.
{% endcolumn %}
{% endcolumns %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
